<?php
// $Id: frontend.html.php,v 1.3 2004/02/25 23:06:17 rcastley Exp $
/**
* Content code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.3 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class modules_html {
	function module( &$module, &$params, $Itemid ) {
		global $mosConfig_live_site, $mosConfig_sitename, $mosConfig_lang, $mosConfig_absolute_path;
		?>
		<table cellspacing="0" cellpadding="1" class="moduletable">
		<?php if ($module->showtitle!=0) { ?>
  			<tr>
    			<th valign="top"><?php print $module->title;?></th>
    		</tr>
		<?php } ?>
    		<tr>
    			<td><?php echo $module->content;?></td>
			</tr>
      	</table>
		<br />
	<?php
	}
	
	function module2( &$module, &$params, $Itemid ) {
		global $mosConfig_live_site, $mosConfig_sitename, $mosConfig_lang, $mosConfig_absolute_path;
		global $mainframe, $database, $my;
			?>
		<table cellspacing="0" cellpadding="1" class="moduletable">
			<?php if ($module->showtitle!=0) { ?>
  			<tr>
    			<th valign="top"><?php print $module->title;?></th>
    		</tr>
			<?php
			}
			?>
    		<tr>
    			<td>
			<?php
			// check for custom language file
			if (file_exists( "modules/$module->module.$mosConfig_lang.php" )) {
				include( "modules/$module->module.$mosConfig_lang.php" );
			} else if (file_exists( "modules/$module->module.eng.php" )) {
				include( "modules/$module->module.eng.php" );
			}
			include( "modules/$module->module.php" );
			if (isset( $content)) {
				echo $content;
			}
				?>
    			</td>
			</tr>
      	</table>
		<br />
	<?php
	}
}
?>
